curl --request POST \
--url https://api.augustus.com/v1/simulations/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100.50",
"currency": "USD",
"unstructured_remittance_information": "Invoice INV-2026-0042",
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.augustus.com/v1/simulations/deposits"
payload = {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100.50",
"currency": "USD",
"unstructured_remittance_information": "Invoice INV-2026-0042",
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '100.50',
currency: 'USD',
unstructured_remittance_information: 'Invoice INV-2026-0042',
counterparty_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.augustus.com/v1/simulations/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "deposit_simulation",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Simulate an incoming deposit
Initiates an incoming deposit through the sandbox provider pipeline. This endpoint is unavailable in live production.
Authorizations
Bearer token for authentication with Augustus Banking API
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
Incoming deposit simulation parameters
ID of the account to credit with the simulated deposit.
Amount as a decimal string in the account currency (e.g. "100.50").
^(0|[1-9]\d*)(\.\d+)?$"100.50"
Currency of the simulated deposit.
EUR, GBP, USD, USDC "USD"
Unstructured remittance information attached to the transfer. Not all rails support this field.
1"Invoice INV-2026-0042"
Sender of the simulated deposit. Mutually exclusive with counterparty_id.
Show child attributes
Show child attributes
ID of an existing counterparty to use as the sender of the simulated deposit. Mutually exclusive with counterparty.
Payment rail the simulated deposit arrives on.
sepa, sepa_instant, faster_payments, swift, ach, fedwire, ethereum, ethereum_sepolia, solana, solana_devnet, polygon, polygon_amoy Was this page helpful?